Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class JMSVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter

Direct Known Subclasses:
  BeanVendorAdapter, JNDIVendorAdapter

public abstract class JMSVendorAdapter
extends java.lang.Object

SPI Interface that all JMSVendorAdaptors must implement. Allows for ConnectionFactory creation and Destination lookup

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Constructor Summary
`JMSVendorAdapter()`

Method Summary
`javax.jms.Queue` | `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`abstract javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfProps)`
`javax.jms.Topic` | `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`abstract javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfProps)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSVendorAdapter

    public JMSVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public abstract javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

### getTopicConnectionFactory

    public abstract javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.